Subject: bug#24694: Document url--allow-chars for external use?

From: Hong Xu <[email-masked]>
Date: Fri, 4 Oct 2019 12:31:27 -0700

On 12/1/16 1:28 PM, Hong Xu wrote:
> 
> On 2016-10-14 Fri 12:02 GMT-0800, Eli Zaretskii <[email-masked]> wrote:
> 
>>> From: Hong Xu <[email-masked]>
>>> Date: Fri, 14 Oct 2016 11:24:52 -0700
>>>
>>> Currently url-hexify-string has an optional argument allowed-chars,
>>> which is a long vector. However, it is more natural to specify a list of
>>> characters. Internally, the default value of allowed-chars is specified
>>> by converting a list of chars to such a vector by using an internal
>>> function url--allow-chars. I would like to suggest to document
>>> url--allow-chars for external use, thus we can improve the interface of
>>> the url-hexify-string function.
>>>
>>> I can draft the document change, if you agree with me.
>>
>> Isn't it better to teach url-hexify-string to accept lists as well?
> 
> The patch is attached.
> 
> Make url-hexify-string accept a list of allowed chars.
> 
> 	* url-util.el (url-hexify-string): Accept a list of allowed chars.
> 	* url.texi (URI Encoding): Update url-hexify-string doc and index improvements.
> 

It's been a few years... I'm wondering whether this patch is still interesting?